<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Employee-List</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
    <link rel="stylesheet" href="../../dist/css/main.css" type="text/css" />
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
</head>

<body>
    <div class="sidenav leftSidebar expandedNav" id="adminBavbar"></div>
    <div id="mainContent">
        <nav class="navbar-header">
            <!-- for topnavigation bar topbar.js -->
        </nav>
        <div class="headerTop">
            <div class="tabsContainer">
                <h2 class="mainHeading">Employee Master</h2>

                <ul class="tabs mb-0">
                    <li>
                        <a href="#">MASTER</a>
                    </li>
                    <li>
                        <a href="#">UPLOAD</a>
                    </li>
                </ul>

            </div>
        </div>

        <div class="main rightContentArea">
            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content adminTabsScreen">
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">

                                        <h3>List of employees</h3>

                                    </div>
                                    <div class="mt-5">
                                        <button class="oct-btn oct-btn-success"> <svg version="1.1"
                                                xmlns="http://www.w3.org/2000/svg"
                                                xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                                viewBox="0 0 128 128" style="enable-background:new 0 0 128 128;"
                                                xml:space="preserve">
                                                <g id="_x32_8">
                                                    <path style="fill-rule:evenodd;clip-rule:evenodd;fill:#ffffff;" d="M127.839,70.187h-57.66v57.745H57.822V70.187H0.161V57.814
                                                    h57.661V0.068h12.357v57.746h57.66V70.187z"></path>
                                                </g>
                                                <g id="Layer_1">
                                                </g>
                                            </svg> Add New</button>
                                    </div>
                                </div>

                                <a href="#addFiltersPopup" rel="modal:open"><button class="oct-btn btn-default mb-4">Add
                                        Filters</button></a>

                                <div class="table-responsive table-striped table-hover">
                                    <table class="innerTable">
                                        <tr>
                                            <th class="trHead">Code
                                            </th>
                                            <th class="trHead">Name
                                            </th>
                                            <th class="trHead">Company
                                            </th>
                                            <th class="trHead">Salary Branch
                                            </th>
                                            <th class="trHead">Department
                                            </th>
                                            <th class="trHead">Designation
                                            </th>
                                            <th class="trHead">Type
                                            </th>
                                            <th class="trHead">Project
                                            </th>
                                            <th class="trHead">Division
                                            </th>
                                            <th class="trHead">Grade
                                            </th>
                                            <th class="trHead">Actions
                                            </th>
                                        </tr>

                                        <tr>
                                            <td>220405</td>
                                            <td>A Krishna Pratheen Reddy </td>
                                            <td>Zealous Systems Private Limited</td>
                                            <td>CO Kolkata </td>
                                            <td>CO Kolkata</td>
                                            <td>TST</td>
                                            <td>CRE-cum-Lobby I/C</td>
                                            <td>Regular on Roll</td>
                                            <td>SI DIVISION - Si Sales</td>
                                            <td>EL 5C</td>
                                            <td><button class="oct-btn oct-btn-outline actionBtn"><i
                                                        class="material-icons">create</i></button></td>

                                        </tr>
                                        <tr>
                                            <td>020434</td>
                                            <td>A Raj Kumar</td>
                                            <td>Zealous Systems Private Limited</td>
                                            <td>Kolkata</td>
                                            <td>Kolkata</td>
                                            <td>SBD</td>
                                            <td>AGM (HRD)</td>
                                            <td>Regular on Roll</td>
                                            <td>SI DIVISION - Si Sales</td>
                                            <td>EL 4D</td>
                                            <td><button class="oct-btn oct-btn-outline actionBtn"><i
                                                        class="material-icons">create</i></button></td>

                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- / tabs_item -->
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">

                                        <h3>Upload employees data</h3>

                                    </div>
                                </div>
                                <div class="row no-padding">
                                    <div class="fields mr-4 mb-4">
                                        <label for="trainingLocation" class="labelGroup">Country <span
                                                class="mandatorySign">*</span></label>
                                        <select class="mandatory" id="trainingLocation" name="trainingLocation">
                                            <option value="" selected="selected" hidden="hidden">Select the
                                                country name</option>
                                            <option value="delhi">India</option>
                                            <option value="mumbai">UK</option>
                                            <option value="bengaluru">USA</option>
                                            <option value="bengaluru">Canada</option>
                                        </select>
                                    </div>
                                    <div class="fields mr-4 mb-4">
                                        <label for="type" class="labelGroup">Type <span
                                                class="mandatorySign">*</span></label>
                                        <select class="mandatory" id="type" name="type">
                                            <option value="" selected="selected" hidden="hidden">Select the
                                                Type</option>
                                            <option value="master">Master</option>
                                            <option value="academy">Academy</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="fields checkBox mb-3">

                                    <input type="checkbox" id="terms" name="terms">
                                    <label for="terms" class="no-padding">Update with Selected Columns Only

                                    </label>
                                </div>

                                <div class="row no-padding uploadFileStyling">
                                    <div class="withLabel filterLable DashedBorder fields file-drop-area mt-4 mb-4">
                                        <span>Upload</span>
                                        <label class="file-msg"> <i class="fas fa-upload"></i>Upload File </label>
                                        <input class="file-input" type="file" multiple="">
                                    </div>
                                    <button data-toggle="tooltip" title="" data-placement="top"
                                        class="oct-btn oct-btn-outline mt-4"
                                        data-original-title="Download Sample CSV File">Download Sample</button>
                                </div>

                                <button id="approve" class="oct-btn oct-btn-primary mt-3 mb-4">Upload</button>
                            </div>
                        </div>
                    </div>
                    <!-- / -->
                    <!-- / tab_content -->
                </div>
                <!-- / tab -->
            </div>
        </div>

        <div id="addFiltersPopup" class="modal addFilterTablePopup" style="max-width: 800px !important;">
            <form name="filterFrm1" id="filterFrm1">
                <!-- filter popup model content-->
                <h4 class="m-0"> Filter</h4>
                <ul class="nav nav-tabs filterTabs" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab"
                            aria-controls="home" aria-selected="true">Main</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab"
                            aria-controls="profile" aria-selected="false">Additional</a>
                    </li>
                </ul>
                <div class="tab-content filterTestContent">
                    <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                        <div class="row no-padding">

                            <div class="fields mr-3 mb-3 mt-3">
                                <label for="companyType">Company</label>
                                <select id="companyType" name="companyType">
                                    <option value="null" selected="">Select </option>
                                    <option value="google">Google</option>
                                    <option value="embee">Embee</option>
                                    <option value="yahoo">Yahoo</option>
                                </select>
                            </div>

                            <div class="fields mr-3 mb-3 mt-3">
                                <label for="branchType">Branch</label>
                                <select id="branchType" name="branchType">
                                    <option value="null" selected="">Select</option>
                                    <option value="delhi">Delhi</option>
                                    <option value="mumbai">Mumbai</option>
                                    <option value="kolkata">Kolkata</option>
                                </select>
                            </div>

                            <div class="fields mr-3 mb-3 mt-3">
                                <label for="costBranchType">Cost Branch</label>
                                <select id="costBranchType" name="costBranchType">
                                    <option value="null" selected="">Select</option>
                                    <option value="delhi">Delhi</option>
                                    <option value="mumbai">Mumbai</option>
                                    <option value="kolkata">Kolkata</option>
                                </select>
                            </div>

                            <div class="fields mb-3 mt-3">
                                <label for="departmentType">Department</label>
                                <select id="departmentType" name="departmentType">
                                    <option value="null" selected="">Select</option>
                                    <option value="human resources">Human Resources</option>
                                    <option value="development">Development</option>
                                    <option value="marketing">Marketing</option>
                                </select>
                            </div>


                            <div class="fields mr-3 mb-3">
                                <label for="projectType">Project</label>
                                <select style="width: 80px !important;" id="projectType" name="projectType">
                                    <option value="null" selected="">Select</option>
                                    <option value="csp">CSP</option>
                                    <option value="octane">Octane</option>
                                    <option value="hrms">HRMS</option>
                                </select>
                            </div>
                            <div class="fields mr-3 mb-3">
                                <label for="grade">Grade </label>
                                <select style="width: 80px !important;" id="grade" name="grade">
                                    <option value="null" selected="">Select </option>
                                    <option value="27">27</option>
                                    <option value="28">28</option>
                                    <option value="29">29</option>
                                </select>
                            </div>

                            <div class="fields mr-3 mb-3">
                                <label for="division">Division</label>
                                <select id="division" name="division">
                                    <option value="null" selected="">Select</option>
                                    <option value="human resources">Human Resources</option>
                                    <option value="development">Development</option>
                                    <option value="marketing">Marketing</option>
                                </select>
                            </div>

                            <div class="fields mr-3 mb-3">
                                <label for="employmentStatus">Employement Status</label>
                                <select id="employmentStatus" name="employmentStatus">
                                    <option value="null" selected="">Select</option>
                                    <option value="full-time">Full Time</option>
                                    <option value="part-time">Part Time</option>
                                    <option value="intern">Intern</option>
                                </select>
                            </div>

                            <div class="fields mb-3">
                                <label for="">Employement Type</label>
                                <select id="employmentType" name="employmentType">
                                    <option value="null" selected="">Select</option>
                                    <option value="full-time">Full Time</option>
                                    <option value="part-time">Part Time</option>
                                    <option value="intern">Intern</option>
                                </select>
                            </div>

                            <div class="fields mr-3">
                                <label for="employeeCode">Employee Code</label>
                                <input type="text" name="employeeCode" placeholder="">
                            </div>

                            <div class="fields mr-3">
                                <label for="firstName">First Name </label>
                                <input type="text" name="firstName" placeholder="">
                            </div>

                            <div class="fields mr-3">
                                <label for="middleName">Middle Name </label>
                                <input type="text" name="middleName" placeholder="">
                            </div>

                            <div class="fields">
                                <label for="lastName">Last Name</label>
                                <input type="text" name="lastName" placeholder="">
                            </div>
                        </div>

                        <div class="row">
                            <div class="table-responsive table-striped table-hover filterTable mt-4" id="employeeTable">
                                <table class="innerTable ml-3">
                                    <tbody>
                                        <tr>
                                            <th class="trHead"></th>
                                            <th class="trHead">Code</th>
                                            <th class="trHead">Employee Name</th>
                                            <th class="trHead">Title</th>
                                            <th class="trHead">Department</th>
                                            <th class="trHead">Branch</th>
                                        </tr>
                                        <tr>
                                            <td style="width: 1px !important;
                                            ">
                                                <div class="radioButttonStyling">
                                                    <label style="padding-right: 0 !important;" for="radioBtn10"
                                                        class="radio ">
                                                        <input data-empcode="226718" type="radio" name="ticket1"
                                                            checked="" id="radioBtn10" class="hidden">
                                                        <span class="label"></span>
                                                    </label></div>
                                            </td>
                                            <td>
                                                226718
                                            </td>
                                            <td>
                                                <img src="https://randomuser.me/api/portraits/men/47.jpg">
                                                Sachin Shah
                                            </td>
                                            <td>Front-End Developer</td>
                                            <td>Development</td>
                                            <td>Delhi</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="radioButttonStyling">
                                                    <label style="padding-right: 0 !important;" for="radioBtn11"
                                                        class="radio ">
                                                        <input data-empcode="226727" type="radio" name="ticket1"
                                                            id="radioBtn11" class="hidden">
                                                        <span class="label"></span>
                                                    </label></div>
                                            </td>
                                            <td>
                                                226727
                                            </td>
                                            <td>
                                                <img src="https://randomuser.me/api/portraits/men/47.jpg"> Amik Desai
                                            </td>
                                            <td>SEO Lead</td>
                                            <td>Development</td>
                                            <td>Kolkata
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="radioButttonStyling">
                                                    <label style="padding-right: 0 !important;" for="radioBtn12"
                                                        class="radio ">
                                                        <input data-empcode="222628" type="radio" name="ticket1"
                                                            id="radioBtn12" class="hidden">
                                                        <span class="label"></span>
                                                    </label></div>
                                            </td>
                                            <td>
                                                222628
                                            </td>
                                            <td>
                                                <img src="https://randomuser.me/api/portraits/women/15.jpg">Suhana Mehta
                                            </td>
                                            <td>UI Designer</td>
                                            <td>Design</td>
                                            <td>Delhi</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                        <div class="row">

                            <div class="col-md-3 col-sm-12 col-xs-12 mt-2">
                                <div class="fields mt-3">
                                    <label for="fiscalYear">Fiscal Year</label>
                                    <select id="fiscalYear" name="fiscalYear">
                                        <option value="null" selected="">Select</option>
                                        <option value="google">Google</option>
                                        <option value="embee">Embee</option>
                                        <option value="yahoo">Yahoo</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3 col-sm-12 col-xs-12 mt-2">
                                <div class="fields mt-3">
                                    <label for="fiscalMonth">Fiscal Month</label>
                                    <select id="fiscalMonth" name="fiscalMonth">
                                        <option value="null" selected="">Select</option>
                                        <option value="delhi">Delhi</option>
                                        <option value="mumbai">Mumbai</option>
                                        <option value="kolkata">Kolkata</option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-3 col-sm-12 col-xs-12 mt-2">
                                <div class="fields mt-3">
                                    <label for="selectionStatus">Selection Status</label>
                                    <select id="selectionStatus" name="selectionStatus">
                                        <option value="null" selected="">Select</option>
                                        <option value="google">Google</option>
                                        <option value="embee">Embee</option>
                                        <option value="yahoo">Yahoo</option>
                                    </select>
                                </div>
                            </div>

                        </div>
                    </div>

                    <div class="form-group mb-0 mt-4">
                        <div class="row marginNone closeBtn">
                            <button type="button" id="applyBtn"
                                class="oct-btn oct-btn-primary mt-0 applyLearningFilters">Apply</button>
                            &nbsp;
                            <a href="javascript:void(0);" class="ClearCross clearTableFilters ml-2 mt-1">Clear</a>
                        </div>
                    </div>
            </form>
        </div>
        <div class="popup-bg filterTablePopup" id="approvePopup">
            <div class="popup-card" style="height: auto; width: auto; ">
                <header class="popup-header">
                    <h3 class="card-title">Approve</h3>
                    <i class="material-icons" id="closePopup">close</i>
                </header>
                <main class="popup-content">

                    <div class="form-group">
                        <div class="row marginNone">
                            <div class="fields">
                                <label class="labelGroup" for="reason">Description <span
                                        class="mandatorySign">*</span></label>
                                <textarea class="mandatory" name="desc" id="desc" cols="75" rows="5"
                                    placeholder="Please enter comments"></textarea>
                            </div>
                        </div>

                        <button class="oct-btn oct-btn-primary mt-4">Submit</button>
                        <button class="oct-btn oct-btn-outline clearButton mt-4">Clear</button>

                    </div>
                </main>
            </div>
        </div>
        <div class="popup-bg filterTablePopup" id="rejectPopup">
            <div class="popup-card" style="height: auto; width: auto; ">
                <header class="popup-header">
                    <h3 class="card-title">Reject</h3>
                    <i class="material-icons" id="closePopup">close</i>
                </header>
                <main class="popup-content">
                    <div class="form-group">
                        <div class="row marginNone">
                            <div class="fields">
                                <label class="labelGroup" for="reason">Reason for rejection <span
                                        class="mandatorySign">*</span></label>
                                <textarea class="mandatory" name="reason" id="reason" cols="75" rows="5" required
                                    placeholder="Please state the reason for rejecting the request"></textarea>
                            </div>
                        </div>


                        <button class="oct-btn oct-btn-primary mt-4">Submit</button>
                        <button class="oct-btn oct-btn-outline clearButton mt-4">Clear</button>

                    </div>
                </main>
            </div>
        </div>

        <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
        <script src="../../dist/js/sidebar-admin.js"></script>
        <script src="../../dist/js/topbar.js"></script>
        <script src="../../dist/js/octane.js"></script>
        <script>
            // Start multiple select / deselect functionality
            $("#selectall").click(function () {
                $('.case').prop('checked', this.checked);

            });
            $("#selectall2").click(function () {
                $('.case2').prop('checked', this.checked);

            });
        </script>

        <script>
            //Upload Document Code
            var $fileInput = $('.file-input');
            var $droparea = $('.file-drop-area');

            // highlight drag area
            $fileInput.on('dragenter focus click', function () {
                $droparea.addClass('is-active');
            });

            // back to normal state
            $fileInput.on('dragleave blur drop', function () {
                $droparea.removeClass('is-active');
            });

            // change inner text
            $fileInput.on('change', function () {

                var filesCount = $(this)[0].files.length;
                var $textContainer = $(this).prev();

                if (filesCount === 1) {
                    // if single file is selected, show file name
                    var fileName = $(this).val().split('\\').pop();
                    $textContainer.text(fileName);
                }
                /*else {
                  // otherwise show number of files
                  $textContainer.text(filesCount + ' files selected');
                }*/
            });
            //End File Upload Code
        </script>

</body>

</html>